package com.hi.music.player.javabean.requestbody;

import com.hi.music.player.javabean.requestbody.child.ContextBody;

import java.io.Serializable;


/**
 * 播放页面接口请求体
 */
public class BodyPlay implements Serializable {


    private ContextBody context = new ContextBody();
    private String tunerSettingValue = "AUTOMIX_SETTING_NORMAL";
    private boolean isAudioOnly = true;
    private Configs watchEndpointMusicSupportedConfigs = new Configs();
    private int index;
    private String playlistId;
    private String videoId;
    private String params;
    private String playlistSetVideoId;




    public static class Configs {
        private String musicVideoType = "MUSIC_VIDEO_TYPE_ATV";


        public String getMusicVideoType() {
            return musicVideoType;
        }

        public void setMusicVideoType(String musicVideoType) {
            this.musicVideoType = musicVideoType;
        }
    }

    public ContextBody getContext() {
        return context;
    }

    public void setContext(ContextBody context) {
        this.context = context;
    }


    public void setTunerSettingValue(String tunerSettingValue) {
        this.tunerSettingValue = tunerSettingValue;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setPlaylistId(String playlistId) {
        this.playlistId = playlistId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public void setPlaylistSetVideoId(String playlistSetVideoId) {
        this.playlistSetVideoId = playlistSetVideoId;
    }

    public Configs getWatchEndpointMusicSupportedConfigs() {
        return watchEndpointMusicSupportedConfigs;
    }


}
